﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MainForm.cs" company="DotSpatial Team">
//   (c) 2011; Released under Microsoft Public License (Ms-PL)
// </copyright>
// <summary>
//   The main form.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace DotSpatialApp
{
    using DevExpress.XtraBars;
    using System.Windows.Forms;
    using System.ComponentModel.Composition;
    using DotSpatial.Controls.Docking;

    /// <summary>
    /// The main form.
    /// </summary>

    public partial class MainForm : DevExpress.XtraBars.Ribbon.RibbonForm
    {
        [Export("Shell", typeof(ContainerControl))]
        private static ContainerControl Shell;

        #region Constructors and Destructors

        /// <summary>
        ///   Initializes a new instance of the <see cref = "MainForm" /> class.
        /// </summary>
        public MainForm()
        {
            this.InitializeComponent();

            Shell = this;

            this.appManager1.LoadExtensions();

            this.appManager1.DockManager.Add(new DockablePanel("kMap", "Map", map1, DockStyle.Fill));
        }

        #endregion Constructors and Destructors

    }
}